%define upstream_name    Gazelle
%define upstream_version 0.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Preforked Plack Handler for performance freaks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckCompiler) >= 0.40.0
BuildRequires: perl(Guard)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Tiny) >= 0.58.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Parallel::Prefork) >= 0.180.0
BuildRequires: perl(Plack) >= 1.3.700
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Test::Suite)
BuildRequires: perl(Server::Starter)
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl-devel
%description
Gazelle is a PSGI Handler. It's created based on the Starlet manpage code.
Many code was rewritten and optimized by XS.

Gazelle supports following features.

* * supports HTTP/1.1. But does not have Keepalive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.430.0-2pclos2017
- rebuild against updates

